Subject: [bug#40950] [PATCH] mcron, create /var/cron/tabs on activation

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 09 Aug 2021 12:12:09 -0400

Hello,

Dale Mellor <[email-masked]> writes:

> Hello,
>
>    for information I don't agree with having a central crond process
> running on the system.  I put it in mcron only for compatibility with
> legacy crons, but think that it is *much* better for each service which
> needs one, and each user, to run their own private daemon and manage their
> own configuration.  The reasons include:
>
>   * reliability: one faulty client or scheme configuration clause is less
> likely to make the system unavailable to others;
>   * security: UNIX users can only mess with their own configurations, and
> there is no need for any SUID programs;
>   * safety: I think the mcron personality gets much more use in practice,
> hence is tested by many more people;
>   * efficiency: using the legacy crontab directories means that the daemon
> has to wake up and scan all these files once per minute, even if the
> actions are only performed once per day or even once per month;
>   * convenience: I think it is actually simpler all round to have separate
> configurations for each utility that needs cron service, rather than
> splicing and editing existing central system-wide files.
>
>    Basically, all these things are the reasons I developed mcron in the
> first place.
>
>    As an aside, I would love to be able to pull out all of the legacy
> compatibility stuff from the mcron code, as it would massively simplify my
> life!  (Don't worry, it probably won't happen).

Thanks for tipping in!

In light of this, it seems it'd be a better option to add crond support
at the level of Guix Home, which would allow easily configuring mcrond
as a user service rather than at the system level.

Thanks,

Maxim